StarPU Internal Handbook

Data Structures | Macros | Functions
data_movements_interface.h File Reference
`#include <starpu.h>`

Go to the source code of this file.

## Data Structures
struct | data_movements_interface

## Macros
#define | DATA_MOVEMENTS_GET_SIZE_TABLES(interface)
#define | DATA_MOVEMENTS_GET_TAGS_TABLE(interface)
#define | DATA_MOVEMENTS_GET_RANKS_TABLE(interface)

## Functions
void | data_movements_data_register (starpu_data_handle_t *handle, unsigned home_node, int *ranks, starpu_mpi_tag_t *tags, int size)
starpu_mpi_tag_t ** | data_movements_get_ref_tags_table (starpu_data_handle_t handle)
int ** | data_movements_get_ref_ranks_table (starpu_data_handle_t handle)
int | data_movements_reallocate_tables (starpu_data_handle_t handle, int size)
starpu_mpi_tag_t * | data_movements_get_tags_table (starpu_data_handle_t handle)
int * | data_movements_get_ranks_table (starpu_data_handle_t handle)
int | data_movements_get_size_tables (starpu_data_handle_t handle)

## Data Structure Documentation

## ◆ data_movements_interface

struct data_movements_interface

interface for data_movements

Data Fields
starpu_mpi_tag_t * | tags | Data tags table
int * | ranks | Ranks table (where to move the corresponding data)
int | size | Size of the tables